Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbehave.mojo
Class AbstractEmbedderMojo

    java.lang.Object
      org.apache.maven.plugin.AbstractMojo
          org.jbehave.mojo.AbstractEmbedderMojo

All Implemented Interfaces:
  org.apache.maven.plugin.ContextEnabled, org.apache.maven.plugin.Mojo

Direct Known Subclasses:
  GenerateStoriesView, MapStoriesAsEmbeddables, MapStoriesAsPaths, ReportStepdocs, ReportStepdocsAsEmbeddables, RunStoriesAsEmbeddables, RunStoriesAsPaths, RunStoriesWithAnnotatedEmbedderRunner, UnpackViewResources

    public abstract class AbstractEmbedderMojo

extends org.apache.maven.plugin.AbstractMojo

Abstract mojo that holds all the configuration parameters to specify and load stories.

Nested Class Summary
`protected class` | `AbstractEmbedderMojo.MavenEmbedderMonitor`

Field Summary

Fields inherited from interface org.apache.maven.plugin.Mojo
`ROLE`

Constructor Summary
`AbstractEmbedderMojo()`

Method Summary
`protected EmbedderClassLoader` | `classLoader()` Returns the EmbedderClassLoader with the classpath element of the selected scope.
`protected List<String>` | `classNames()` Finds class names, using the `newStoryFinder()`, in the `searchDirectory()` given specified `includes` and `excludes`.
`protected EmbedderControls` | `embedderControls()`
`protected EmbedderMonitor` | `embedderMonitor()`
`protected Embedder` | `newEmbedder()` Creates an instance of Embedder, either using `injectableEmbedderClass` (if set) or defaulting to `embedderClass`.
`protected StoryFinder` | `newStoryFinder()` Creates an instance of StoryFinder, using the `storyFinderClass`
`protected List<String>` | `storyPaths()` Finds story paths, using the `newStoryFinder()`, in the `searchDirectory()` given specified `includes` and `excludes`.

Methods inherited from class org.apache.maven.plugin.AbstractMojo
`getLog, getPluginContext, setLog, setPluginContext`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.maven.plugin.Mojo
`execute`

Constructor Detail

### AbstractEmbedderMojo

    public AbstractEmbedderMojo()

Method Detail

### classLoader

    protected EmbedderClassLoader classLoader()

  Returns the EmbedderClassLoader with the classpath element of the selected scope.

  Returns:
    An EmbedderClassLoader

### storyPaths

    protected List<String> storyPaths()

  Finds story paths, using the `newStoryFinder()`, in the `searchDirectory()` given specified `includes` and `excludes`.

  Returns:
    A List of story paths found

### classNames

    protected List<String> classNames()

  Finds class names, using the `newStoryFinder()`, in the `searchDirectory()` given specified `includes` and `excludes`.

  Returns:
    A List of class names found

### newStoryFinder

    protected StoryFinder newStoryFinder()

  Creates an instance of StoryFinder, using the `storyFinderClass`

  Returns:
    A StoryFinder

### newEmbedder

    protected Embedder newEmbedder()

  Creates an instance of Embedder, either using `injectableEmbedderClass` (if set) or defaulting to `embedderClass`.

  Returns:
    An Embedder

### embedderMonitor

    protected EmbedderMonitor embedderMonitor()

### embedderControls

    protected EmbedderControls embedderControls()

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2013. All Rights Reserved.